=== lapacke/CMakeLists.txt ===
# Disable code coverage for this subdirectory
set(CMAKE_C_FLAGS_COVERAGE "${CMAKE_C_FLAGS_DEBUG}")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "${CMAKE_SHARED_LINKER_FLAGS_DEBUG}")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "${CMAKE_EXE_LINKER_FLAGS_DEBUG}")

# Build libraries with PIC flag as they will be linked into shared objects
if (NOT CMAKE_CROSSCOMPILING)
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif ()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

set(OBJ_UTILS utils/lapacke_cgb_nancheck.c utils/lapacke_cgb_trans.c
  utils/lapacke_cge_nancheck.c utils/lapacke_cge_trans.c
  utils/lapacke_cgg_nancheck.c utils/lapacke_cgg_trans.c
  utils/lapacke_cgt_nancheck.c utils/lapacke_chb_nancheck.c
  utils/lapacke_chb_trans.c utils/lapacke_che_nancheck.c
  utils/lapacke_che_trans.c utils/lapacke_chp_nancheck.c
  utils/lapacke_chp_trans.c utils/lapacke_chs_nancheck.c
  utils/lapacke_chs_trans.c utils/lapacke_c_nancheck.c
  utils/lapacke_cpb_nancheck.c utils/lapacke_cpb_trans.c
  utils/lapacke_cpf_nancheck.c utils/lapacke_cpf_trans.c
  utils/lapacke_cpo_nancheck.c utils/lapacke_cpo_trans.c
  utils/lapacke_cpp_nancheck.c utils/lapacke_cpp_trans.c
  utils/lapacke_cpt_nancheck.c utils/lapacke_csp_nancheck.c
  utils/lapacke_csp_trans.c utils/lapacke_cst_nancheck.c
  utils/lapacke_csy_nancheck.c utils/lapacke_csy_trans.c
  utils/lapacke_ctb_nancheck.c utils/lapacke_ctb_trans.c
  utils/lapacke_ctf_nancheck.c utils/lapacke_ctf_trans.c
  utils/lapacke_ctp_nancheck.c utils/lapacke_ctp_trans.c
  utils/lapacke_ctr_nancheck.c utils/lapacke_ctr_trans.c
  utils/lapacke_dgb_nancheck.c utils/lapacke_dgb_trans.c
  utils/lapacke_dge_nancheck.c utils/lapacke_dge_trans.c
  utils/lapacke_dgg_nancheck.c utils/lapacke_dgg_trans.c
  utils/lapacke_dgt_nancheck.c utils/lapacke_dhs_nancheck.c
  utils/lapacke_dhs_trans.c utils/lapacke_d_nancheck.c
  utils/lapacke_dpb_nancheck.c utils/lapacke_dpb_trans.c
  utils/lapacke_dpf_nancheck.c utils/lapacke_dpf_trans.c
  utils/lapacke_dpo_nancheck.c utils/lapacke_dpo_trans.c
  utils/lapacke_dpp_nancheck.c utils/lapacke_dpp_trans.c
  utils/lapacke_dpt_nancheck.c utils/lapacke_dsb_nancheck.c
  utils/lapacke_dsb_trans.c utils/lapacke_dsp_nancheck.c
  utils/lapacke_dsp_trans.c utils/lapacke_dst_nancheck.c
  utils/lapacke_dsy_nancheck.c utils/lapacke_dsy_trans.c
  utils/lapacke_dtb_nancheck.c utils/lapacke_dtb_trans.c
  utils/lapacke_dtf_nancheck.c utils/lapacke_dtf_trans.c
  utils/lapacke_dtp_nancheck.c utils/lapacke_dtp_trans.c
  utils/lapacke_dtr_nancheck.c utils/lapacke_dtr_trans.c utils/lapacke_lsame.c
  utils/lapacke_sgb_nancheck.c utils/lapacke_sgb_trans.c
  utils/lapacke_sge_nancheck.c utils/lapacke_sge_trans.c
  utils/lapacke_sgg_nancheck.c utils/lapacke_sgg_trans.c
  utils/lapacke_sgt_nancheck.c utils/lapacke_shs_nancheck.c
  utils/lapacke_shs_trans.c utils/lapacke_s_nancheck.c
  utils/lapacke_spb_nancheck.c utils/lapacke_spb_trans.c
  utils/lapacke_spf_nancheck.c utils/lapacke_spf_trans.c
  utils/lapacke_spo_nancheck.c utils/lapacke_spo_trans.c
  utils/lapacke_spp_nancheck.c utils/lapacke_spp_trans.c
  utils/lapacke_spt_nancheck.c utils/lapacke_ssb_nancheck.c
  utils/lapacke_ssb_trans.c utils/lapacke_ssp_nancheck.c
  utils/lapacke_ssp_trans.c utils/lapacke_sst_nancheck.c
  utils/lapacke_ssy_nancheck.c utils/lapacke_ssy_trans.c
  utils/lapacke_stb_nancheck.c utils/lapacke_stb_trans.c
  utils/lapacke_stf_nancheck.c utils/lapacke_stf_trans.c
  utils/lapacke_stp_nancheck.c utils/lapacke_stp_trans.c
  utils/lapacke_str_nancheck.c utils/lapacke_str_trans.c utils/lapacke_xerbla.c
  utils/lapacke_zgb_nancheck.c utils/lapacke_zgb_trans.c
  utils/lapacke_zge_nancheck.c utils/lapacke_zge_trans.c
  utils/lapacke_zgg_nancheck.c utils/lapacke_zgg_trans.c
  utils/lapacke_zgt_nancheck.c utils/lapacke_zhb_nancheck.c
  utils/lapacke_zhb_trans.c utils/lapacke_zhe_nancheck.c
  utils/lapacke_zhe_trans.c utils/lapacke_zhp_nancheck.c
  utils/lapacke_zhp_trans.c utils/lapacke_zhs_nancheck.c
  utils/lapacke_zhs_trans.c utils/lapacke_z_nancheck.c
  utils/lapacke_zpb_nancheck.c utils/lapacke_zpb_trans.c
  utils/lapacke_zpf_nancheck.c utils/lapacke_zpf_trans.c
  utils/lapacke_zpo_nancheck.c utils/lapacke_zpo_trans.c
  utils/lapacke_zpp_nancheck.c utils/lapacke_zpp_trans.c
  utils/lapacke_zpt_nancheck.c utils/lapacke_zsp_nancheck.c
  utils/lapacke_zsp_trans.c utils/lapacke_zst_nancheck.c
  utils/lapacke_zsy_nancheck.c utils/lapacke_zsy_trans.c
  utils/lapacke_ztb_nancheck.c utils/lapacke_ztb_trans.c
  utils/lapacke_ztf_nancheck.c utils/lapacke_ztf_trans.c
  utils/lapacke_ztp_nancheck.c utils/lapacke_ztp_trans.c
  utils/lapacke_ztr_nancheck.c utils/lapacke_ztr_trans.c
  utils/lapacke_make_complex_float.c utils/lapacke_make_complex_double.c)

set(OBJ src/lapacke_cbdsqr.c src/lapacke_cbdsqr_work.c src/lapacke_cgbbrd.c
  src/lapacke_cgbbrd_work.c src/lapacke_cgbcon.c src/lapacke_cgbcon_work.c
  src/lapacke_cgbequb.c src/lapacke_cgbequb_work.c src/lapacke_cgbequ.c
  src/lapacke_cgbequ_work.c src/lapacke_cgbrfs.c src/lapacke_cgbrfs_work.c
  src/lapacke_cgbrfsx.c src/lapacke_cgbrfsx_work.c src/lapacke_cgbsv.c
  src/lapacke_cgbsv_work.c src/lapacke_cgbsvx.c src/lapacke_cgbsvx_work.c
  src/lapacke_cgbsvxx.c src/lapacke_cgbsvxx_work.c src/lapacke_cgbtrf.c
  src/lapacke_cgbtrf_work.c src/lapacke_cgbtrs.c src/lapacke_cgbtrs_work.c
  src/lapacke_cgebak.c src/lapacke_cgebak_work.c src/lapacke_cgebal.c
  src/lapacke_cgebal_work.c src/lapacke_cgebrd.c src/lapacke_cgebrd_work.c
  src/lapacke_cgecon.c src/lapacke_cgecon_work.c src/lapacke_cgeequb.c
  src/lapacke_cgeequb_work.c src/lapacke_cgeequ.c src/lapacke_cgeequ_work.c
  src/lapacke_cgees.c src/lapacke_cgees_work.c src/lapacke_cgeesx.c
  src/lapacke_cgeesx_work.c src/lapacke_cgeev.c src/lapacke_cgeev_work.c
  src/lapacke_cgeevx.c src/lapacke_cgeevx_work.c src/lapacke_cgehrd.c
  src/lapacke_cgehrd_work.c src/lapacke_cgelqf.c src/lapacke_cgelqf_work.c
  src/lapacke_cgels.c src/lapacke_cgelsd.c src/lapacke_cgelsd_work.c
  src/lapacke_cgelss.c src/lapacke_cgelss_work.c src/lapacke_cgels_work.c
  src/lapacke_cgelsy.c src/lapacke_cgelsy_work.c src/lapacke_cgeqlf.c
  src/lapacke_cgeqlf_work.c src/lapacke_cgeqp3.c src/lapacke_cgeqp3_work.c
  src/lapacke_cgeqpf.c src/lapacke_cgeqpf_work.c src/lapacke_cgeqrf.c
  src/lapacke_cgeqrf_work.c src/lapacke_cgerfs.c src/lapacke_cgerfs_work.c
  src/lapacke_cgerfsx.c src/lapacke_cgerfsx_work.c src/lapacke_cgerqf.c
  src/lapacke_cgerqf_work.c src/lapacke_cgesdd.c src/lapacke_cgesdd_work.c
  src/lapacke_cgesv.c src/lapacke_cgesvd.c src/lapacke_cgesvd_work.c
  src/lapacke_cgesv_work.c src/lapacke_cgesvx.c src/lapacke_cgesvx_work.c
  src/lapacke_cgesvxx.c src/lapacke_cgesvxx_work.c src/lapacke_cgetrf.c
  src/lapacke_cgetrf_work.c src/lapacke_cgetri.c src/lapacke_cgetri_work.c
  src/lapacke_cgetrs.c src/lapacke_cgetrs_work.c src/lapacke_cggbak.c
  src/lapacke_cggbak_work.c src/lapacke_cggbal.c src/lapacke_cggbal_work.c
  src/lapacke_cgges.c src/lapacke_cgges_work.c src/lapacke_cggesx.c
  src/lapacke_cggesx_work.c src/lapacke_cggev.c src/lapacke_cggev_work.c
  src/lapacke_cggevx.c src/lapacke_cggevx_work.c src/lapacke_cggglm.c
  src/lapacke_cggglm_work.c src/lapacke_cgghrd.c src/lapacke_cgghrd_work.c
  src/lapacke_cgglse.c src/lapacke_cgglse_work.c src/lapacke_cggqrf.c
  src/lapacke_cggqrf_work.c src/lapacke_cggrqf.c src/lapacke_cggrqf_work.c
  src/lapacke_cggsvd.c src/lapacke_cggsvd_work.c src/lapacke_cggsvp.c
  src/lapacke_cggsvp_work.c src/lapacke_cgtcon.c src/lapacke_cgtcon_work.c
  src/lapacke_cgtrfs.c src/lapacke_cgtrfs_work.c src/lapacke_cgtsv.c
  src/lapacke_cgtsv_work.c src/lapacke_cgtsvx.c src/lapacke_cgtsvx_work.c
  src/lapacke_cgttrf.c src/lapacke_cgttrf_work.c src/lapacke_cgttrs.c
  src/lapacke_cgttrs_work.c src/lapacke_chbev.c src/lapacke_chbevd.c
  src/lapacke_chbevd_work.c src/lapacke_chbev_work.c src/lapacke_chbevx.c
  src/lapacke_chbevx_work.c src/lapacke_chbgst.c src/lapacke_chbgst_work.c
  src/lapacke_chbgv.c src/lapacke_chbgvd.c src/lapacke_chbgvd_work.c
  src/lapacke_chbgv_work.c src/lapacke_chbgvx.c src/lapacke_chbgvx_work.c
  src/lapacke_chbtrd.c src/lapacke_chbtrd_work.c src/lapacke_checon.c
  src/lapacke_checon_work.c src/lapacke_cheequb.c src/lapacke_cheequb_work.c
  src/lapacke_cheev.c src/lapacke_cheevd.c src/lapacke_cheevd_work.c
  src/lapacke_cheevr.c src/lapacke_cheevr_work.c src/lapacke_cheev_work.c
  src/lapacke_cheevx.c src/lapacke_cheevx_work.c src/lapacke_chegst.c
  src/lapacke_chegst_work.c src/lapacke_chegv.c src/lapacke_chegvd.c
  src/lapacke_chegvd_work.c src/lapacke_chegv_work.c src/lapacke_chegvx.c
  src/lapacke_chegvx_work.c src/lapacke_cherfs.c src/lapacke_cherfs_work.c
  src/lapacke_cherfsx.c src/lapacke_cherfsx_work.c src/lapacke_chesv.c
  src/lapacke_chesv_work.c src/lapacke_chesvx.c src/lapacke_chesvx_work.c
  src/lapacke_chesvxx.c src/lapacke_chesvxx_work.c src/lapacke_chetrd.c
  src/lapacke_chetrd_work.c src/lapacke_chetrf.c src/lapacke_chetrf_work.c
  src/lapacke_chetri.c src/lapacke_chetri_work.c src/lapacke_chetrs.c
  src/lapacke_chetrs_work.c src/lapacke_chfrk.c src/lapacke_chfrk_work.c
  src/lapacke_chgeqz.c src/lapacke_chgeqz_work.c src/lapacke_chpcon.c
  src/lapacke_chpcon_work.c src/lapacke_chpev.c src/lapacke_chpevd.c
  src/lapacke_chpevd_work.c src/lapacke_chpev_work.c src/lapacke_chpevx.c
  src/lapacke_chpevx_work.c src/lapacke_chpgst.c src/lapacke_chpgst_work.c
  src/lapacke_chpgv.c src/lapacke_chpgvd.c src/lapacke_chpgvd_work.c
  src/lapacke_chpgv_work.c src/lapacke_chpgvx.c src/lapacke_chpgvx_work.c
  src/lapacke_chprfs.c src/lapacke_chprfs_work.c src/lapacke_chpsv.c
  src/lapacke_chpsv_work.c src/lapacke_chpsvx.c src/lapacke_chpsvx_work.c
  src/lapacke_chptrd.c src/lapacke_chptrd_work.c src/lapacke_chptrf.c
  src/lapacke_chptrf_work.c src/lapacke_chptri.c src/lapacke_chptri_work.c
  src/lapacke_chptrs.c src/lapacke_chptrs_work.c src/lapacke_chsein.c
  src/lapacke_chsein_work.c src/lapacke_chseqr.c src/lapacke_chseqr_work.c
  src/lapacke_cpbcon.c src/lapacke_cpbcon_work.c src/lapacke_cpbequ.c
  src/lapacke_cpbequ_work.c src/lapacke_cpbrfs.c src/lapacke_cpbrfs_work.c
  src/lapacke_cpbstf.c src/lapacke_cpbstf_work.c src/lapacke_cpbsv.c
  src/lapacke_cpbsv_work.c src/lapacke_cpbsvx.c src/lapacke_cpbsvx_work.c
  src/lapacke_cpbtrf.c src/lapacke_cpbtrf_work.c src/lapacke_cpbtrs.c
  src/lapacke_cpbtrs_work.c src/lapacke_cpftrf.c src/lapacke_cpftrf_work.c
  src/lapacke_cpftri.c src/lapacke_cpftri_work.c src/lapacke_cpftrs.c
  src/lapacke_cpftrs_work.c src/lapacke_cpocon.c src/lapacke_cpocon_work.c
  src/lapacke_cpoequb.c src/lapacke_cpoequb_work.c src/lapacke_cpoequ.c
  src/lapacke_cpoequ_work.c src/lapacke_cporfs.c src/lapacke_cporfs_work.c
  src/lapacke_cporfsx.c src/lapacke_cporfsx_work.c src/lapacke_cposv.c
  src/lapacke_cposv_work.c src/lapacke_cposvx.c src/lapacke_cposvx_work.c
  src/lapacke_cposvxx.c src/lapacke_cposvxx_work.c src/lapacke_cpotrf.c
  src/lapacke_cpotrf_work.c src/lapacke_cpotri.c src/lapacke_cpotri_work.c
  src/lapacke_cpotrs.c src/lapacke_cpotrs_work.c src/lapacke_cppcon.c
  src/lapacke_cppcon_work.c src/lapacke_cppequ.c src/lapacke_cppequ_work.c
  src/lapacke_cpprfs.c src/lapacke_cpprfs_work.c src/lapacke_cppsv.c
  src/lapacke_cppsv_work.c src/lapacke_cppsvx.c src/lapacke_cppsvx_work.c
  src/lapacke_cpptrf.c src/lapacke_cpptrf_work.c src/lapacke_cpptri.c
  src/lapacke_cpptri_work.c src/lapacke_cpptrs.c src/lapacke_cpptrs_work.c
  src/lapacke_cpstrf.c src/lapacke_cpstrf_work.c src/lapacke_cptcon.c
  src/lapacke_cptcon_work.c src/lapacke_cpteqr.c src/lapacke_cpteqr_work.c
  src/lapacke_cptrfs.c src/lapacke_cptrfs_work.c src/lapacke_cptsv.c
  src/lapacke_cptsv_work.c src/lapacke_cptsvx.c src/lapacke_cptsvx_work.c
  src/lapacke_cpttrf.c src/lapacke_cpttrf_work.c src/lapacke_cpttrs.c
  src/lapacke_cpttrs_work.c src/lapacke_cspcon.c src/lapacke_cspcon_work.c
  src/lapacke_csprfs.c src/lapacke_csprfs_work.c src/lapacke_cspsv.c
  src/lapacke_cspsv_work.c src/lapacke_cspsvx.c src/lapacke_cspsvx_work.c
