=== clapack-3.2.1-CMAKE/BLAS/CMakeLists.txt ===
add_subdirectory(SRC)
#if (NOT CMAKE_CROSSCOMPILING)
  #add_subdirectory(TESTING)
#endif ()
