=== debian/changelog ===
ros-indigo-swiftnav (0.13.0-3trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Dec 2014 13:22:43 -0000
